{% extends 'base.html' %}

{% block title %}

{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="container">
            <div class="col-6 col-sm-3"></div>
            <table class="table">
                <thead>
                <tr>
                    <th>Poza</th>
                    <th>Produs</th>
                    <th>Cantitate</th>
                    <th>Preț</th>
                    <th>Sterge</th>

                </tr>
                </thead>
                <tbody>
                {% for cart_item in cart_items %}
                    {% if cart_item.product.image %}
                        <tr>
                            <td><img src="{{ cart_item.product.image.url }}" class="card-img-top"
                                     style="width: 5rem; height: 5rem" alt="...">
                            </td>
                            <td>{{ cart_item }}</td>
                            <td>
                                <input type="number" name="quantity" value="1">
                            </td>
                            <td> Preț {{ cart_item.product.price }}</td>

                            <td>
                                <button type="button" class="btn btn-success" data-bs-toggle="modal"
                                        data-bs-target="#exampleModal_{{ cart_item.id }}">
                                    Șterge
                                </button>
                                <div class="modal fade" id="exampleModal_{{ cart_item.id }}" tabindex="-1"
                                     aria-labelledby="exampleModalLabel"
                                     aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Stergi proodusul din
                                                    cos</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                Vrei să ștergi din cos produsul {{ cart_item.product.name }}?
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">
                                                    Nu
                                                </button>
                                                <a href="{% url 'delete_cart_item' cart_item.id %}"
                                                   class="btn btn-primary">
                                                    Da </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    {% endif %}
                {% endfor %}
                </tbody>
            </table>
{#        {{ order }}#}
{#        {% for item in order %}#}
{#        {{ item }}#}
{#        {% endfor %}#}

        <form method="post" action="{% url 'checkout' %}">
            {% csrf_token %}
            <button type="submit">Checkout</button>
        </form>
        </div>
    </div>
{% endblock %}